package com.heyu.api.data.service.impl.vv;
/**
* <p>
* 类目表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-24
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.vv.VvAppCategoryDao;
import com.heyu.api.data.entity.vv.VvAppCategoryEntity;
import com.heyu.api.data.service.vv.VvAppCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class VvAppCategoryServiceImpl extends ServiceImpl<VvAppCategoryDao, VvAppCategoryEntity> implements VvAppCategoryService {


    @Autowired
	private VvAppCategoryDao vvAppCategoryDao;



	@Override
	public VvAppCategoryEntity selectVvAppCategoryById(Long id){
		return vvAppCategoryDao.selectVvAppCategoryById(id);
	}



	@Override
	public Long insertVvAppCategory(VvAppCategoryEntity vvAppCategory){
		return vvAppCategoryDao.insertVvAppCategory(vvAppCategory);
	}



	@Override
	public Long insertOrUpdateVvAppCategory(VvAppCategoryEntity vvAppCategory){
		return vvAppCategoryDao.insertOrUpdateVvAppCategory(vvAppCategory);
	}



	@Override
	public int updateVvAppCategoryById(VvAppCategoryEntity vvAppCategory){
		return vvAppCategoryDao.updateVvAppCategoryById(vvAppCategory);
	}



	@Override
	public int updateCoverVvAppCategoryById(VvAppCategoryEntity vvAppCategory){
		return vvAppCategoryDao.updateCoverVvAppCategoryById(vvAppCategory);
	}



	@Override
	public int deleteVvAppCategoryById(Long id){
		return vvAppCategoryDao.deleteVvAppCategoryById(id);
	}



}
